Bug 607606 - slow nfs shutdown
Summary: slow nfs shutdown
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nfs-utils   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-24 13:27 UTC by Henrique Martins
Modified: 2010-10-27 22:32 UTC (History)
2 users (show)

Fixed In Version: nfs-utils-1.2.2-6.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-27 22:32:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Henrique Martins 2010-06-24 13:27:01 UTC
Description of problem:
If I move my laptop away from my wireless AP and try to shutdown, stopping some nfs service takes a long time.

Version-Release number of selected component (if applicable):
Currently have
nfs-utils-1.2.2-2.fc13.i686
nfs-utils-lib-1.1.5-1.fc13.i686

How reproducible:
Almost always, but haven't really tested it

Steps to Reproduce:
1. Reboot, connect to wireless home AP
2. Put machine to sleep, drive to the office
3. Try to shutdown
  
Actual results:
Machine apparently freezes but it is actually doing something shutting down some nfs related service.
Eventually, after a long time, for each volume in /etc/exports, and each machine on it's export list (which can add up very quickly), it prints "machine has not a valid IP address", (I suspect the server is trying to inform the non-reachable client of something) with a long delay between messages.
Shutdown then continues at normal pace.

Expected results:
A shutdown that doesn't take this long

Additional info:

Comment 1 Steve Dickson 2010-10-15 20:41:05 UTC
Has DNS gong down or somthing?

Comment 2 Henrique Martins 2010-10-15 20:52:43 UTC
DNS has gone down in the sense that either I'm not connect to any access point, or, the case above, some machine names don't resolve outside of my house...

Comment 3 Steve Dickson 2010-10-15 22:52:16 UTC
Here latest nfs-utils release

https://admin.fedoraproject.org/updates/nfs-utils-1.2.2-6.fc13

Please download test to see if you are still able to see this problem

tia...

Comment 4 Henrique Martins 2010-10-23 00:20:02 UTC
Finally tried this today and machine rebooted instantly with the above version, i.e. no delays.

Comment 5 Fedora Update System 2010-10-25 14:57:59 UTC
nfs-utils-1.2.2-6.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/nfs-utils-1.2.2-6.fc13

Comment 6 Fedora Update System 2010-10-27 22:32:16 UTC
nfs-utils-1.2.2-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.